# caimei-modules-soa

面向服务的组件模块集合，每个子模块一个独立服务。

## 迁移服务注意点：
### 1. 数据类型：
+ 数据库：bigint --> Java: Long  （之前是Integer）
+ 数据库：decemal --> Java: BigDecimal （之前是double）


### 2. 实体类相关：
+ entity下的实体类和数据表对应，不要修改，可根据数据表自动生成
+ entity.vo下的实体类是使用的实体类，继承自entity，类名以Vo标识
+ 实体类不用写get/set方法，直接加@Data标注就好


### 3. 使用(以搜索服务为例)：
+ pom.xml引入

``` xml
<dependency>
	<groupId>com.caimei.module</groupId>
	<artifactId>caimei-search</artifactId>
	<version>0.0.1-SNAPSHOT</version>
</dependency>
```


+ yml配置

``` yml
#整合mybatis
mybatis:
  #加载Mybatis映射文件
  mapper-locations:
    - classpath:mapper/*.xml                      # 调用者Mapper文件路径
    - classpath:caimei-search-mapper/*Mapper.xml  # 模块服务包Mapper文件路径
```


+ 启动类加扫描

``` xml
@SpringBootApplication(scanBasePackages = {
        "com.caimei.module.search.service",  // 模块服务包Service路径
        "com.caimei.controller.**",          // 调用者Controller路径
        "com.caimei.service.**"              // 调用者Service路径
})
@MapperScan(basePackages = {
        "com.caimei.module.search.dao",      // 模块服务包Mapper接口路径
        "com.caimei.mapper.**"               // 调用者Mapper接口路径
})
public class DemoApplication {
    public static void main(String[] args) {SpringApplication.run(DemoApplication.class, args);}
}
```


+ controller类注入

``` java
private SearchService searchService;
@Autowired
public void setSearchService(SearchService searchService){
	this.searchService = searchService;
}
```
